## gpscon 0.0.5

=== Makefile ===
#############################################################################
# Makefile for building: gpscon
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Nov 21 00:44:36 2015
# Project:  gpscon.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile gpscon.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/include/QtCore -I/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/include -I/opt/qtm12/include/QtLocation -I/opt/qtm12/include -I/opt/qtm12/include/QtMobility -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qtm12/lib -Wl,-rpath,/opt/qtm12/lib
LIBS          = $(SUBLIBS)  -L/usr/lib/../../opt/qtm12/lib -L/usr/lib -lQtLocation -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		gpspos.cpp \
		mainclass.cpp \
		qargparser.cpp \
		consolereader.cpp moc_gpspos.cpp \
		moc_mainclass.cpp \
		moc_consolereader.cpp
OBJECTS       = main.o \
		gpspos.o \
		mainclass.o \
		qargparser.o \
		consolereader.o \
		moc_gpspos.o \
		moc_mainclass.o \
		moc_consolereader.o
DIST          = /targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		gpscon.pro
QMAKE_TARGET  = gpscon
DESTDIR       = 
TARGET        = gpscon

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: gpscon.pro  /targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/opt/qtm12/lib/libQtLocation.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile gpscon.pro
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/mobility12.prf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-e35a70efb64cd01ffb255fd3580f3ea5704abe74/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/opt/qtm12/lib/libQtLocation.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile gpscon.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/gpscon1.0.0 || $(MKDIR) .tmp/gpscon1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/gpscon1.0.0/ && $(COPY_FILE) --parents gpspos.h mainclass.h qargparser.h consolereader.h .tmp/gpscon1.0.0/ && $(COPY_FILE) --parents main.cpp gpspos.cpp mainclass.cpp qargparser.cpp consolereader.cpp .tmp/gpscon1.0.0/ && (cd `dirname .tmp/gpscon1.0.0` && $(TAR) gpscon1.0.0.tar gpscon1.0.0 && $(COMPRESS) gpscon1.0.0.tar) && $(MOVE) `dirname .tmp/gpscon1.0.0`/gpscon1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/gpscon1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_gpspos.cpp moc_mainclass.cpp moc_consolereader.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_gpspos.cpp moc_mainclass.cpp moc_consolereader.cpp
moc_gpspos.cpp: gpspos.h
	/usr/bin/moc $(DEFINES) $(INCPATH) gpspos.h -o moc_gpspos.cpp

moc_mainclass.cpp: mainclass.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainclass.h -o moc_mainclass.cpp

moc_consolereader.cpp: consolereader.h
	/usr/bin/moc $(DEFINES) $(INCPATH) consolereader.h -o moc_consolereader.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp mainclass.h \
		qargparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

gpspos.o: gpspos.cpp gpspos.h \
		consolereader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gpspos.o gpspos.cpp

mainclass.o: mainclass.cpp gpspos.h \
		mainclass.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainclass.o mainclass.cpp

qargparser.o: qargparser.cpp qargparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qargparser.o qargparser.cpp

consolereader.o: consolereader.cpp consolereader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o consolereader.o consolereader.cpp

=== debian/changelog ===
gpscon (0.0.5) unstable; urgency=low
  * added interval
  * added date, time
  * added log file
  * added exit x+[enter]

 -- Christian Weniger <less_to_space@web.de>  Sun, 15 Nov 2015 12:19:53 +0100

gpscon (0.0.4) unstable; urgency=low
  * Initial Maemo Release

 -- Christian Weniger <less_to_space@web.de>  Sun, 09 Aug 2015 22:49:00 +0200

=== debian/control ===
Source: gpscon
Section: user/hidden
Priority: optional
Maintainer: Christian Weniger <less_to_space@web.de>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-12-dev
Standards-Version: 3.7.3
Homepage: http://maemo.org/packages/view/genwall/

Package: gpscon
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gps console application
 Gpscon shows the position (with extra info) and shows the number of satellites.
XB-Maemo-Display-Name: gpscon
XB-Maemo-Icon-26: 
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=gpscon

## gpscon 0.0.6

=== Makefile ===
#############################################################################
# Makefile for building: gpscon
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Nov 22 15:12:36 2015
# Project:  gpscon.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile gpscon.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/include/QtCore -I/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/include -I/opt/qtm12/include/QtLocation -I/opt/qtm12/include -I/opt/qtm12/include/QtMobility -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qtm12/lib -Wl,-rpath,/opt/qtm12/lib
LIBS          = $(SUBLIBS)  -L/usr/lib/../../opt/qtm12/lib -L/usr/lib -lQtLocation -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		gpspos.cpp \
		mainclass.cpp \
		qargparser.cpp \
		consolereader.cpp moc_gpspos.cpp \
		moc_mainclass.cpp \
		moc_consolereader.cpp
OBJECTS       = main.o \
		gpspos.o \
		mainclass.o \
		qargparser.o \
		consolereader.o \
		moc_gpspos.o \
		moc_mainclass.o \
		moc_consolereader.o
DIST          = /targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		gpscon.pro
QMAKE_TARGET  = gpscon
DESTDIR       = 
TARGET        = gpscon

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: gpscon.pro  /targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/opt/qtm12/lib/libQtLocation.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile gpscon.pro
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/mobility12.prf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-7d0524e99907a94e8ba5d8447eb51cac8cf746de/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/opt/qtm12/lib/libQtLocation.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile gpscon.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/gpscon1.0.0 || $(MKDIR) .tmp/gpscon1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/gpscon1.0.0/ && $(COPY_FILE) --parents gpspos.h mainclass.h qargparser.h consolereader.h .tmp/gpscon1.0.0/ && $(COPY_FILE) --parents main.cpp gpspos.cpp mainclass.cpp qargparser.cpp consolereader.cpp .tmp/gpscon1.0.0/ && (cd `dirname .tmp/gpscon1.0.0` && $(TAR) gpscon1.0.0.tar gpscon1.0.0 && $(COMPRESS) gpscon1.0.0.tar) && $(MOVE) `dirname .tmp/gpscon1.0.0`/gpscon1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/gpscon1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_gpspos.cpp moc_mainclass.cpp moc_consolereader.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_gpspos.cpp moc_mainclass.cpp moc_consolereader.cpp
moc_gpspos.cpp: gpspos.h
	/usr/bin/moc $(DEFINES) $(INCPATH) gpspos.h -o moc_gpspos.cpp

moc_mainclass.cpp: mainclass.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainclass.h -o moc_mainclass.cpp

moc_consolereader.cpp: consolereader.h
	/usr/bin/moc $(DEFINES) $(INCPATH) consolereader.h -o moc_consolereader.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp mainclass.h \
		qargparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

gpspos.o: gpspos.cpp gpspos.h \
		consolereader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gpspos.o gpspos.cpp

mainclass.o: mainclass.cpp gpspos.h \
		mainclass.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainclass.o mainclass.cpp

qargparser.o: qargparser.cpp qargparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qargparser.o qargparser.cpp

consolereader.o: consolereader.cpp consolereader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o consolereader.o consolereader.cpp

=== debian/changelog ===
gpscon (0.0.6) unstable; urgency=low
  * added icon to debian package
  * changed package description
  * changed category to navigation

 -- Christian Weniger <less_to_space@web.de>  Sun, 22 Nov 2015 12:19:40 +0100

=== debian/control ===
Source: gpscon
Section: user/navigation
Priority: optional
Maintainer: Christian Weniger <less_to_space@web.de>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-12-dev
Standards-Version: 3.7.3
Homepage: http://talk.maemo.org/showthread.php?t=96176

Package: gpscon
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gps console application
 Gpscon is a command line tool to acquire the gps position with the qtmobility/qtlocation api.
 In addition it has the ability to write a log file and to save a gpx file.
XB-Maemo-Display-Name: gpscon
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAAA3NCSVQICAjb4U/gAAAACXBIWXMAAAsTAAALEwEAmpwYAAALgElEQVRYhbWYX2xUVR7Hf7/z/8ydqUALKaHFKhob3GrKhgR5WFQUll3xTQhEs9ElLMH4J6hRNJYlSySR6GZf2GyqTowhqA+ibjCrFeMfdrGwqCuNbS22SxiCllLp0HY699/Zh3N7ep0pWDfx+9DeuXfumc/9/T8XjTEAAADvv//+Jx9/XCicjqJYCiEEF1IZMAQJIhBCGeeUEkRklBFKCCIiMC4455QQQiljnDFGECklQgjGOBeMM845Z4wzzuyqjDPBBeNWTAippBRSMsYAgAFAGIZPPfXkl58fZ5REYUApYYwiQBTHxpgoiqMoNsYYA4AAgAZiACQEERkhgEgoZYxRxhhj3D6J4EIqqZSSSmmV0RmttZ78l9Faa62V1koqpYMwDFUUap3hnDMAePXV/d+e/i8ifDNwarxUiuMYARAREAkiIWgACKEIiIiIgIQQREIpQcI4JZRxSrkQPOFhUpaFlNrXfhDqMI6NvZVQyijnPLJPCmCAEELsSkiiKKKUsiAIOo8cLhaLH3z0zzAMkRAEQASIESlabxIkSJAQAgAkJc4Y44xSxhjjnEsphJBSSq1DFUYGAAAJ5YwHQoRRbGIDyVMRQiihjBFKKWOEULugMYYVCoWxi8UT3b1hFHHOk5CKACSAD4CABJAAIhpjEBNE+zUDxhiDCIhACCJayxHLl2CmQJWUUkkhpFLJJyGE/Sal1NqfDA5+N3x++OLoGKPUGAMBmDIAN/y5AG+IjA+mDMZAHNswMsaYOI7B+hSsb5ESSgm1HhNccM6lEEpppZTWWuuMl0mkdcbzPK0zSikppZTSAVkmcrFYnPB93w8QESKAeUb8Ncj0++IPcebjUP3dx+vjuBwbSJIx7TW7CmOcJyaQjsAiZLPZbDbreV42l8tms14263neJJme1kJsbHy87AdxFAGAiUD+JRTrYv8AYh3AKPA7DPlFMLFEknGCDFMQiUOEEJMwCY39yWw253meBcrlctlJeZ6ntVZKKaUcDbE1BBEAiF/2gzA0xkCMqIEuM/EETNzF4v+gv4WXnyfxp4TMSXKrmqYCxdJYglwuV1NTU1NTk8vl7Bl71QKlnWWBrPlZEARBEBkwhGJYBtMHdCHIv0WkyWC9CR+XiEgYEpHQcM7t3woa6whrFQdUbRvrKUvj4sbRAACZKJeDMAJAQCCA5UdZ9BXK38d8pVEfBOLNCbo0JpAYxq7iUKSUFmXSTQmEs42Du5RtKmgAgPi+H0VxcpaB+ZKWWkXpNzz8N5oB5L814h8T5IaYGeso5oJmMn4T26RpnG2chRzNtHFTCWRMjIhgADXQX8Xkl3HUweIuDO/QwR855oDcHjHOJ6uftE+plPpR21igmdMAAAujyBYVZlg4x1eHfPMdTCynYIBIggIAgAbWX8x5ykWx1jqdShbC87w0SjrDbQjboj+tWBgEtpRHPMLTNNjDxOOh6p6AUYBfj5L5EH9N5LueFEIyKZhUXGqptdJexrtw4cLIyEhtbe38+fOdhVy2uww/efJkR0fHoUOHvvjiiyiKrr322uXLl2/YsOHmm2+uBsJnnnnm9ddfP336dBiGURCZyOBdIV0VkTURfkbxsBQHcrrosbmEXEEEF1JKJSRj/NN/fRoUA1MEQJgzZ05bW1tdXZ3LqUwmo5Tq6enZuHHjyMjI1O8huoFn8eLFnZ2d2Wz2BxayX0p6GzOGGHxDkbeo+dOoaL9CDGvBuVLq4upzo787j2AbFwa+LxDgRSz/GYHA+fPnX3755R07dlgLZTKZcrm8YsWKoaEh+zOU0ra2tq1btyqlOjo67r///rNnz3711Vf19fXnzp3TWk8R79q168CBA2fOnAmCIIoiY4wtD1RTDtyaRAjBsox7VGmtlQ6D8INDH4AB4xtTThYyxhw8eHDevHk2bvr6+t599923335bCLF3795ly5YJIdKWyOfz9913HwDU1tYODg66qKIrV678+uuvR0dHbeMkhCTpjUIKaWmUUp7wrhCzZslZs/Rs9Gn3F91mwkBkR7ak+cdxXF9f39TUpLVeuHDhypUrH3jgga1btzY1NdlpMK3W1tbe3t6urq5SqbRo0aIbb7zRnp8acdJtgTEmlBBSWBrbr3VW66z2cl7DwgUGDZAf0ADA/v37161bd911123fvr2np2d0dLSiLaRljFm3bp093rlzpzs/1RBYSnJyhHGlz0aGbUx1dXVbtmxx69qDl1566dFHHxVC+L6fz+dvuumm+vr61tbWgwcPVtPYwHVm6+/vLxQKCZBTRb+ctmXaApPL5ZYuXbpnz57GxkZE5Jy/8847t95662OPPTY4ONjf35/P55cuXQoAJ06cWLt27aJFi6ZlOnPmjDt+7bXXEiDXul1bSHcGaxvP81zTtrU4l8stXrx43759u3fvDoJg7ty5tnwLIRYsWHDPPfd0dnYODAy0t7evWLGiOoCsenp63PEnn3wy5TI+KYfi2oJV9TiRzWZramo8z2ttbTXGvPjii0kyMmbtjYhNTU2bNm368MMPe3t7nWfTOnr0qDs+derUD4BkSpbGAbnOkB5uXL1pbm6WUra3t1uaS0Vx9ZlvvvnmyJEj7uO5c+cSoLRtKqLYRUxFA3d9CgC01hs2bAjD8OTJk5dpmdXavn17+uPY2FgCZHPKRoClSXsq3cArBr/jx4+/8sorUspt27YBwOHDhy+V4dWKoujNN99MnwmCYArIFhtbYZ2zHEGFp6xthBBbtmx56623OOcNDQ1CiHw+P0MaALj99tsdQYWYC2TbNIQQLnTSwWuDxo2hR48eHRkZOXHiBGOspqamrq7u2LFjYRheKqHS6urq+uijjypO1tbWJhbinLutgtu4uNxOj6HWNraNr1+/HgDWrl1rc2rz5s0AkM/nf5RmdHS0paXF7uzS8jwvARJCuChOz52OyXkqeUOgVHd3tzX4c889Z+PmwQcfXLhw4dVXX/2jQLfddtu055ubm+0Bs7EcRREAMMbSE6Cbtio2U8eOHQOAjRs3XnPNNXaV2bNnu0JyGd19992dnZ2XB02AYLK5VJjKxY0rxJzzI0eOEEL27t078ygGgCeeeGLfvn2XumqdDgBMKpXJZCilACCk9Cb3VtV7FzcUf/bZZ9ZUM6d55JFHnn/++Utd3bZtm8sGppXyPI9zTggRQrjNnqOxI7qtn7YQnzp1yvO8mSSU1fLly9NFuVoPP/ywO2Y2z6WUiCildJOGSyjXpNyGQQgRx3F1plTr888/v/POO9NdvVrt7e2NjY3uI5FSuqpTUYurN1N20Fy2bFmpVHITzLTyfX/37t1LliwpFArTdlar5uZmO8hWArm4cRaq8JTdCNh7Nm/eHIbhqlWrpv2NsbGx9957b+7cuU8++eRliAFg1qxZ3d3dFXs0Yl2WfiVg0zsdxWkaAFi/fn1LS0t/f39LS0t6i/PGG2+sWbNm9uzZq1evLhaLl6cBgOPHj1efxO+//75QOG0MUEK4ENUvtqZtmVEUXX/99b29vQAwb948Y8zw8LAtZjOR53ldXV1NTU0AsGnTphdeeGHq2sWLF/v6+k6e7BsYGCgUCoODgxcuXBgbG/N9PwzD9Ju8au3cuVNKOUMIp4ceesjePj4+vmTJEgAYGBhwa4INz0Kh8O3Zs0NDQyMjI+Pj4zOhcXr22WevuuqqH+VoaGi49957fd+3d3V2diql7KW2trYpoHK5PDQ0NDQ0NDw87GiiKJohjVMURbt27WpsbJRSuo2DUqqhoeHpp592HHEcF4vFW265pQJ3CigMw2KxWCwWx8bGSqXST7LNtAqCwL6EGBkZCYIgfSmfzy9YsGBa++3YsSMBiuO4VCqVSqWJiYn/zzYzV7oAVujKK69MgOwz+b5v9/Y/H42bmi+ljo6OBCiO4zAMf1YaY0x6vzytamtrjTHJ2xr79yeNEz+T/gc9QIp0z95pSQAAAABJRU5ErkJggg==
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=gpscon

## gpscon 0.0.7

=== Makefile ===
#############################################################################
# Makefile for building: gpscon
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Dec 25 22:22:54 2015
# Project:  gpscon.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile gpscon.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/include/QtCore -I/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/include -I/opt/qtm12/include/QtLocation -I/opt/qtm12/include -I/opt/qtm12/include/QtMobility -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qtm12/lib -Wl,-rpath,/opt/qtm12/lib
LIBS          = $(SUBLIBS)  -L/usr/lib/../../opt/qtm12/lib -L/usr/lib -lQtLocation -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		gpspos.cpp \
		mainclass.cpp \
		qargparser.cpp \
		consolereader.cpp moc_gpspos.cpp \
		moc_mainclass.cpp \
		moc_consolereader.cpp
OBJECTS       = main.o \
		gpspos.o \
		mainclass.o \
		qargparser.o \
		consolereader.o \
		moc_gpspos.o \
		moc_mainclass.o \
		moc_consolereader.o
DIST          = /targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		gpscon.pro
QMAKE_TARGET  = gpscon
DESTDIR       = 
TARGET        = gpscon

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: gpscon.pro  /targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/opt/qtm12/lib/libQtLocation.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile gpscon.pro
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/mobility12.prf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-a17d2d726fea3e4fbd4bd490d40cf7a5348cabe1/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/opt/qtm12/lib/libQtLocation.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile gpscon.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/gpscon1.0.0 || $(MKDIR) .tmp/gpscon1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/gpscon1.0.0/ && $(COPY_FILE) --parents gpspos.h mainclass.h qargparser.h consolereader.h .tmp/gpscon1.0.0/ && $(COPY_FILE) --parents main.cpp gpspos.cpp mainclass.cpp qargparser.cpp consolereader.cpp .tmp/gpscon1.0.0/ && (cd `dirname .tmp/gpscon1.0.0` && $(TAR) gpscon1.0.0.tar gpscon1.0.0 && $(COMPRESS) gpscon1.0.0.tar) && $(MOVE) `dirname .tmp/gpscon1.0.0`/gpscon1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/gpscon1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_gpspos.cpp moc_mainclass.cpp moc_consolereader.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_gpspos.cpp moc_mainclass.cpp moc_consolereader.cpp
moc_gpspos.cpp: gpspos.h
	/usr/bin/moc $(DEFINES) $(INCPATH) gpspos.h -o moc_gpspos.cpp

moc_mainclass.cpp: mainclass.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainclass.h -o moc_mainclass.cpp

moc_consolereader.cpp: consolereader.h
	/usr/bin/moc $(DEFINES) $(INCPATH) consolereader.h -o moc_consolereader.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp mainclass.h \
		qargparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

gpspos.o: gpspos.cpp gpspos.h \
		consolereader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gpspos.o gpspos.cpp

mainclass.o: mainclass.cpp gpspos.h \
		mainclass.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainclass.o mainclass.cpp

qargparser.o: qargparser.cpp qargparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qargparser.o qargparser.cpp

consolereader.o: consolereader.cpp consolereader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o consolereader.o consolereader.cpp

=== debian/changelog ===
gpscon (0.0.7) unstable; urgency=low
  * added convert status
  * added mark tracks in log file

 -- Christian Weniger <less_to_space@web.de>  Fri, 25 Dec 2015 12:14:15 +0100
